### Method

# Shumate VectorRenderer set_data_source

unstable since: 1.2

#### Declaration [src]

    void
    shumate_vector_renderer_set_data_source (
      ShumateVectorRenderer* self,
      const char* name,
      ShumateDataSource* data_source
    )

#### Description [src]

Adds a data source to the renderer.

Currently, `ShumateVectorRenderer` only supports one data source and throws an error if the style does not contain exactly one data source. However, support for multiple sources may be added in the future, so this method accepts a name parameter. If the name does not match the one expected by the style, this method will have no effect.

Available since: 1.2

#### Parameters

`name`

  Type: `const char*`

  The name of the data source.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data_source`

  Type: `ShumateDataSource`

  A `ShumateDataSource`

  The data is owned by the caller of the method.